/*	ai.h -- Analog Inputs (light sensors, etc)
*
*	Written by Cathy Saxton
*	cathy@idleloop.com
*/

#ifndef AI_H
#define AI_H

#include "iop.h"
#include "comm.h"

/* NOTE: ENUM/LIST #defines are in iop.h */
enum	// Analog Input Pin
{
	AIP_ENUM
};

class AI
{
public:
	AI();

	uchar Read(uchar aip) const;
	void ShowVals(const COMM &comm) const;

private:
	void Init() const;

	static char m_fInit;
	static const IOP m_mpaipiop[aipMax];
};

#endif // AI_H
